using System.Threading.Tasks;
using Network;
using UnityEngine;

namespace Test
{
    public class NetworkConnectionTest : MonoBehaviour
    {
        private async void Start()
        {
            await BasicTest();
        }

        private static async Task BasicTest()
        {
            var result = await UnityTcpClient.Instance.Connect("127.0.0.1", 12345);
            if (result) Debug.Log("Connected to server!");
            else Debug.LogError("Failed to connect to server!");

            string buffer = null;
            while (buffer is null) buffer = await UnityTcpClient.Instance.Receive();

            Debug.Log($"Received contents: {buffer}");
        }
    }
}